package fallbackStyle

import "image/color"
import "git.tebibyte.media/tomo/tomo"
import dataTheme "git.tebibyte.media/tomo/nasin/internal/theme"

// New returns Wintergreen, the default Tomo tomo. It is neutral-gray with green
// and turquoise accents.
func New () *dataTheme.Theme {
	return &dataTheme.Theme {
		Colors: map[tomo.Color] color.Color {
			tomo.ColorBackground: colorBackground,
			tomo.ColorForeground: colorForeground,
			tomo.ColorRaised:     colorCarved,
			tomo.ColorSunken:     colorCarved,
			tomo.ColorAccent:     colorFocus,
		},
		Rules: rules,
	}
}
